SIGBLOCK(2)

NAME
sigblock - block signals

SYNOPSIS
sigblock(mask);
int mask;

DESCRIPTION
Sigblock causes the signals specified in mask to be added to the set of signals currently being blocked from delivery. Signal i is blocked if the i-th bit in mask is a 1.

It is not possible to block SIGKILL, SIGSTOP, or SIGCONT; this restriction is silently imposed by the system.

RETURN VALUE
The previous set of masked signals is returned.

SEE ALSO
kill(2), sigvec(2), sigsetmask(2),